The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Program version 4.2 doesn't match environment version

Discussion in 'General Discussion' started by CoolMike, Dec 25, 2004.

  1. CoolMike

    CoolMike Well-Known Member

    Joined:
    Sep 6, 2001
    Messages:
    307
    Likes Received:
    0
    Trophy Points:
    16
    Hi

    I have the follwoing problem on one of our servers:

    root@server13 [~]# rpm -vv --rebuilddb
    D: rebuilding database /var/lib/rpm into /var/lib/rpmrebuilddb.3582
    D: creating directory /var/lib/rpmrebuilddb.3582
    D: opening old database with dbapi 3
    D: opening db environment /var/lib/rpm/Packages joinenv
    rpmdb: Program version 4.2 doesn't match environment version
    error: db4 error(22) from dbenv->open: Invalid argument
    D: opening db index /var/lib/rpm/Packages rdonly mode=0x0
    error: cannot open Packages index
    D: removing directory /var/lib/rpmrebuilddb.3582

    I'm running centos 3.3. Other Centos server don't have this problem. What can I do?

    Thanks
    Michael
     
  2. Harryhood

    Harryhood Well-Known Member

    Joined:
    Jun 3, 2003
    Messages:
    57
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Gamehenge
    Perhaps try:

    #export LD_ASSUME_KERNEL=2.2.5

    #rpm --rebuilddb

    #/scripts/sysup

    #/scripts/rpmup
     
Loading...

Share This Page